<?
// Подключаем файл с функциями
require_once 'functions.php';
header('Content-Type: application/json; charset=utf-8');

if (isset($_GET['phone']) && isset($_GET['message'])) {
    $phoneNumber = $_GET['phone']; // Получаем номер телефона
    $messageText = $_GET['message']; // Получаем текст сообщения

    // Ищем контакт по номеру телефона
    $contactId = findContactByPhone($phoneNumber);

    if ($contactId !== null) {
        // Если контакт найден, добавляем сообщение как заметку к контакту
        $result = addNoteToContact($contactId, $messageText);

        if ($result) {
            echo json_encode(['success' => true, 'message' => 'Сообщение добавлено к контакту', 'contactId' => $contactId]);
        } else {
            echo json_encode(['success' => false, 'message' => 'Не удалось добавить сообщение к контакту']);
        }
    } else {
        // Если контакт не найден
        echo json_encode(['success' => false, 'message' => 'Контакт не найден']);
    }

    exit;
}
echo 'Идем дальше'; 